<?php
/**
 * The template used to display Tag Archive pages
 *
 * @package WordPress
 * 
 */
get_header();
?>
<div class="content_wrapper">
    <div class="page-content woocommerce">
        <div class="container_24">
            <div class="grid_24">
                <div class="grid_16 alpha">
                    <div class="content-bar">                         
<?php
/* Queue the first post, that way we know
 * what date we're dealing with (if that is the case).
 *
 * We reset this later so we can run the loop
 * properly with a call to rewind_posts().
 */
if (have_posts())
    the_post();
?>
                        <h6 class="page_title single-heading">
                    <?php if (is_day()) : ?>
                        <?php printf(DAILY_ARCHIVES, get_the_date()); ?>
                    <?php elseif (is_month()) : ?>
                        <?php printf(MONTHLY_ARCHIVES, get_the_date('F Y')); ?>
                    <?php elseif (is_year()) : ?>
                        <?php printf(YEARLY_ARCHIVES, get_the_date('Y')); ?>
                    <?php else : ?>
                        <?php echo BLOG_ARCHIVES; ?>
                    <?php endif; ?>
                </h6> 
                            <?php
                            /* Since we called the_post() above, we need to
                             * rewind the loop back to the beginning that way
                             * we can run the loop properly, in full.
                             */
                            rewind_posts();
                            /* Run the loop for the archives page to output the posts.
                             * If you want to overload this in a child theme then include a file
                             * called loop-archives.php and that will be used instead.
                             */
                            get_template_part('loop', 'archive');
                            ?>
                        <div class="clear"></div>
                        <nav id="nav-single"> <span class="nav-previous">
		<?php next_posts_link(NEWER_POSTS); ?>
	</span> <span class="nav-next">
		<?php previous_posts_link(OLDER_POSTS); ?>
	</span> </nav>
                    </div>
                </div>
                <div class="grid_8 omega">
<?php get_sidebar(); ?>
                </div>
            </div>
        </div>
    </div>
</div>
<?php get_footer(); ?>